relaxngcc

## Class RelaxNGCC

- java.lang.Object
- - relaxngcc.RelaxNGCC

    public class RelaxNGCC
    extends java.lang.Object

main class

### Constructor Summary

Constructors
Constructor and Description
`RelaxNGCC()`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`
`static void` `purify(java.io.File in, java.io.File out)` Removes RelaxNGCC annotations from the source schema and write to the specified file.
`static void` `run(Options o)` Executes RelaxNGCC with the specified options.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RelaxNGCC

    public RelaxNGCC()

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### run

    public static void run(Options o)
                    throws java.lang.Exception

Executes RelaxNGCC with the specified options.

Throws:
  `java.lang.Exception`

#### purify

    public static void purify(java.io.File in,
              java.io.File out)
                       throws java.lang.Exception

Removes RelaxNGCC annotations from the source schema and write to the specified file.

Throws:
  `java.lang.Exception`